View Issue Details

IDProjectCategoryView StatusLast Update
0002315SOGosogo-toolpublic2014-07-08 06:27
Reporterbofhus Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.5 
Fixed in Version2.2.5 
Summary0002315: sogo-tool ignores SOGoForceExternalLoginWithEmail
Description

I set the cronjob /usr/sbin/sogo-tool expire-autoreply. I have set SOGoForceExternalLoginWithEmail=YES in SOGo configuration. But I noticed that sogo-tool tries to login to managagesieve using UID instead e-mail:

sogo-tool[697] Could not login 'u00001-bingo' on Sieve server: ...
managesieve-login: Disconnected (auth failed, ... user=<u00001-bingo>,...

TagsNo tags attached.

Activities

ludovic

ludovic

2013-06-25 10:44

administrator   ~0005694

This should be fixed in v2.0.6. Reopen if necessary.

bofhus

bofhus

2013-06-27 12:38

reporter   ~0005721

It's still not fixed:

%su sogo -c "/usr/sbin/sogo-tool expire-autoreply 'masteruser:password'"
<0x0x26fe338[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
<0x0x26fe338[SOGoCache]> Using host(s) '127.0.0.1' as server(s)
2013-06-27 18:32:52.269 sogo-tool[23032] failure. Attempting with a renewed password (no authname supported)
2013-06-27 18:32:52.270 sogo-tool[23032] Could not login 'u00001-bingo' on Sieve server: <0x0x2835868[NGSieveClient]: socket=<NGActiveSocket[0x0x283eb38]: mode=rw address=<0x0x2841908[NGInternetSocketAddress]: host=sogo1.test.local port=60502> connectedTo=<0x0x2839e98[NGInternetSocketAddress]: host=mail1.test.local port=4190>>>: (null)
2013-06-27 18:32:52.274 sogo-tool[23032] An error occured while removing auto-reply of user u00001-bingo

bofhus

bofhus

2014-07-08 02:01

reporter   ~0007293

Please close this report - issue was silently fixed in 2.2.5

Issue History

Date Modified Username Field Change
2013-05-12 01:48 bofhus New Issue
2013-06-25 10:44 ludovic Note Added: 0005694
2013-06-25 10:44 ludovic Status new => closed
2013-06-25 10:44 ludovic Resolution open => fixed
2013-06-25 10:44 ludovic Fixed in Version => 2.0.6
2013-06-27 12:38 bofhus Note Added: 0005721
2013-06-27 12:38 bofhus Status closed => feedback
2013-06-27 12:38 bofhus Resolution fixed => reopened
2014-07-08 02:01 bofhus Note Added: 0007293
2014-07-08 02:01 bofhus Status feedback => new
2014-07-08 06:27 francis Status new => resolved
2014-07-08 06:27 francis Fixed in Version 2.0.6 => 2.2.5
2014-07-08 06:27 francis Resolution reopened => fixed
2014-07-08 06:27 francis Assigned To => francis